# eric6.WebBrowser.StatusBar.ImagesIcon

Module implementing the images loading status bar icon.

### Global Attributes

None

### Classes

ImagesIcon | Class implementing the images loading status bar icon.

### Functions

None

## ImagesIcon

Class implementing the images loading status bar icon.

### Derived from

StatusBarIcon

### Class Attributes

None

### Class Methods

None

### Methods

ImagesIcon | Constructor
__setGlobalLoadingImages | Private slot to toggle the global images loading setting.
__showMenu | Private slot to show the menu.
__toggleLoadingImages | Private slot to toggle the images loading setting.
__updateIcon | Private slot to update the icon.
preferencesChanged | Public method to handle changes of the settings.

### Static Methods

None

#### ImagesIcon (Constructor)

ImagesIcon(window)

Constructor

window (WebBrowserWindow)
  reference to the web browser window

#### ImagesIcon.__setGlobalLoadingImages

__setGlobalLoadingImages(enable)

Private slot to toggle the global images loading setting.

enable (bool)
  flag indicating the state to set

#### ImagesIcon.__showMenu

__showMenu(pos)

Private slot to show the menu.

pos (QPoint)
  position to show the menu at

#### ImagesIcon.__toggleLoadingImages

__toggleLoadingImages()

Private slot to toggle the images loading setting.

#### ImagesIcon.__updateIcon

__updateIcon()

Private slot to update the icon.

#### ImagesIcon.preferencesChanged

preferencesChanged()

Public method to handle changes of the settings.

Up